<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'literp',

    /*
     * Package.
     */
    'package'   => 'example',

    /*
     * Modules.
     */
    'modules'   => ['example'],

    
    'example'       => [
        'model' => [
            'model'                 => \Literp\Example\Models\Example::class,
            'table'                 => 'examples',
            'presenter'             => \Literp\Example\Repositories\Presenter\ExamplePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['name',  'email',  'color',  'date',  'datetime',  'file',  'files',  'image',  'images',  'month',  'password',  'range',  'search',  'tel',  'time',  'url',  'week',  'date_picker',  'time_picker',  'date_time_picker',  'radios',  'checkboxes',  'switch',  'select',  'model_select',  'tinyints',  'smallints',  'mediumints',  'ints',  'bigints',  'decimals',  'floats',  'doubles',  'reals',  'bits',  'booleans',  'dates',  'datetimes',  'timestamps',  'times',  'years',  'chars',  'varchars',  'tinytexts',  'texts',  'mediumtexts',  'longtexts',  'binarys',  'varbinarys',  'tinyblobs',  'mediumblobs',  'blobs',  'longblobs',  'enums',  'sets',  'slug',  'status',  'user_id',  'user_type',  'upload_folder'],
            'translatables'         => [],
            'upload_folder'         => 'example/example',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Literp',
            'package'   => 'Example',
            'module'    => 'Example',
        ],

    ],
];
