<?php

namespace Literp\Example\Repositories\Eloquent;

use Literp\Example\Interfaces\ExampleRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ExampleRepository extends BaseRepository implements ExampleRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('literp.example.example.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('literp.example.example.model.model');
    }
}
